/**
 * Copyright &copy; 2012-2016 <a href="https://github.com/thinkgem/jeesite">JeeSite</a> All rights reserved.
 */
package com.wechat.model.dbEntity;

/**
 * 单表生成Entity
 * 
 * @author tangwc
 * @version 2018-05-23
 */
public class MdeJobAdvertisedEntity extends BaseEntity {

	private static final long serialVersionUID = 1L;

	private Integer jobId; // 职位ID（自增）

	private String publisher; // 发布者(用户code)


	private String jobName; // 职位名称

	private Integer positionId; // 职位类别（职位信息表code）

	private String addProvince; // 工作地点-省


	private String addCity; // 工作地点-市
	
	private String addArea; // 工作地点-区
	
	private String addDetail; // 工作地点详细地址

	private double addLongitude; // 工作地点-经度
	private double addLatitude; // 工作地点-纬度

	private String workExperience; // 工作经验（字典表对应code）

	private String education; // 学历（字典表管理，以数值表示）

	private String jobDescribe; // 职位描述

	private String jobStatus; // 职位发布状态[0-招聘中；1-结束]

	private String recommendFlag; //首推标识[0-不推荐；1-推荐 字典表-recommended]
	
	private String jobRequirement;
	private String jobInvitation;
	private String contactInformation;

	public Integer getJobId() {
		return jobId;
	}

	public void setJobId(Integer jobId) {
		this.jobId = jobId;
	}

	public String getPublisher() {
		return publisher;
	}

	public void setPublisher(String publisher) {
		this.publisher = publisher;
	}

	public String getJobName() {
		return jobName;
	}

	public void setJobName(String jobName) {
		this.jobName = jobName;
	}

	public Integer getPositionId() {
		return positionId;
	}

	public void setPositionId(Integer positionId) {
		this.positionId = positionId;
	}

	public String getAddProvince() {
		return addProvince;
	}

	public void setAddProvince(String addProvince) {
		this.addProvince = addProvince;
	}

	// @Length(min=1, max=6, message="工作地点-市长度必须介于 1 和 6 之间")
	public String getAddCity() {
		return addCity;
	}

	public void setAddCity(String addCity) {
		this.addCity = addCity;
	}

	// @Length(min=1, max=3, message="工作地点-区长度必须介于 1 和 3 之间")
	public String getAddArea() {
		return addArea;
	}

	public void setAddArea(String addArea) {
		this.addArea = addArea;
	}

	// @Length(min=1, max=150, message="工作地点详细地址长度必须介于 1 和 150 之间")
	public String getAddDetail() {
		return addDetail;
	}

	public void setAddDetail(String addDetail) {
		this.addDetail = addDetail;
	}

	public double getAddLongitude() {
		return addLongitude;
	}

	public void setAddLongitude(double addLongitude) {
		this.addLongitude = addLongitude;
	}

	public double getAddLatitude() {
		return addLatitude;
	}

	public void setAddLatitude(double addLatitude) {
		this.addLatitude = addLatitude;
	}

	// @Length(min=1, max=2, message="工作经验（字典表对应code）长度必须介于 1 和 2 之间")
	public String getWorkExperience() {
		return workExperience;
	}

	public void setWorkExperience(String workExperience) {
		this.workExperience = workExperience;
	}

	// @Length(min=1, max=6, message="学历（字典表管理，以数值表示）长度必须介于 1 和 6 之间")
	public String getEducation() {
		return education;
	}

	public void setEducation(String education) {
		this.education = education;
	}

	public String getJobDescribe() {
		return jobDescribe;
	}

	public void setJobDescribe(String jobDescribe) {
		this.jobDescribe = jobDescribe;
	}

	// @Length(min=1, max=1, message="职位发布状态[0-招聘中；1-结束]长度必须介于 1 和 1 之间")
	public String getJobStatus() {
		return jobStatus;
	}

	public void setJobStatus(String jobStatus) {
		this.jobStatus = jobStatus;
	}

	public String getJobRequirement() {
		return jobRequirement;
	}

	public void setJobRequirement(String jobRequirement) {
		this.jobRequirement = jobRequirement;
	}

	public String getJobInvitation() {
		return jobInvitation;
	}

	public void setJobInvitation(String jobInvitation) {
		this.jobInvitation = jobInvitation;
	}

	public String getContactInformation() {
		return contactInformation;
	}

	public void setContactInformation(String contactInformation) {
		this.contactInformation = contactInformation;
	}

	public String getRecommendFlag() {
		return recommendFlag;
	}

	public void setRecommendFlag(String recommendFlag) {
		this.recommendFlag = recommendFlag;
	}

}